package com.gree.mall.contest.logic.tag;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.gree.mall.contest.bean.admin.AdminUserCom;
import com.gree.mall.contest.exception.RemoteServiceException;
import com.gree.mall.contest.logic.common.CommonLogic;
import com.gree.mall.contest.plus.entity.Tag;
import com.gree.mall.contest.plus.service.TagGroupService;
import com.gree.mall.contest.plus.service.TagService;
import me.chanjar.weixin.common.error.WxErrorException;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service
public class TagLogic {

    @Autowired
    CommonLogic commonLogic;
    @Autowired
    TagService tagService;
    @Autowired
    private TagGroupService tagGroupService;

    /**
     * 标签列表
     *
     * @param pageNum
     * @param pageSize
     * @return
     */
    public IPage<Tag> list(HttpServletRequest request, Integer pageNum, Integer pageSize) {
        AdminUserCom adminUser = commonLogic.getAdminUser(request);
        List<String> companyWechatIds = adminUser.getCompanyWechatIds();

        return tagService.lambdaQuery()
                .in(CollectionUtils.isNotEmpty(companyWechatIds), Tag::getCompanyId, companyWechatIds)
                .orderByDesc(Tag::getGroupId)
                .page(new Page<>(pageNum, pageSize));
    }

    /**
     * 同步企业标签
     *
     * @return
     * @throws WxErrorException
     */
    public void sync(HttpServletRequest request) throws WxErrorException {

    }



}
